Package org.globus.tools

# Class ProxyInfo

java.lang.Object
org.globus.tools.ProxyInfo

public class ProxyInfo extends Object
Retruns information about the proxy.

     Syntax: java ProxyInfo [options]
             java ProxyInfo -help
     Options
     -help | -usage
         Displays usage
     -f <proxyfile> | -file <proxyfile>
         Non-standard location of proxy
     [printoptions]
         Prints information about proxy
     -exists [options] | -e [options]
         Returns 0 if valid proxy exists, 1 otherwise
     -globus
         Prints information in globus format
     [printoptions]
         -subject              Distinguished name (DN) of subject
         -issuer               DN of issuer (certificate signer)
         -type                 Type of proxy (full or limited)
         -timeleft             Time (in seconds) until proxy expires
         -strength             Key size (in bits)
         -all                  All above options in a human readable format
      "
     [options to -exists]      (if none are given, H = B = 0 are assumed)
         -hours H       (-h)   time requirement for proxy to be valid
         -bits  B       (-b)   strength requirement for proxy to be valid

## Constructor Summary

Constructors
Constructor
Description
`ProxyInfo()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyInfo

public ProxyInfo()

## Method Details

### main

public static void main(String[] args)